Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ColorInterpolationManager Class Reference

High level class for color interpolation. More...

List of all members.

## Public Member Functions
| ColorInterpolationManager ()
| default constructor
| ColorInterpolationManager (ColorInterpolationManager const copy)
| copy constructor
| ColorInterpolationManager (VBase4 const c)
| constructor
int | addConstant (float time_begin, float time_end, VBase4 const color, bool is_modulated)
| Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.
int | addConstant ()
| Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.
int | addConstant (float time_begin, float time_end, VBase4 const color)
| Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.
int | addConstant (float time_begin, float time_end)
| Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.
int | addConstant (float time_begin)
| Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.
int | addLinear (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b, bool is_modulated)
| Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.
int | addLinear (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b)
| Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.
int | addLinear (float time_begin, float time_end, VBase4 const color_a)
| Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.
int | addLinear (float time_begin, float time_end)
| Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.
int | addLinear (float time_begin)
| Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.
int | addLinear ()
| Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.
int | addSinusoid (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b)
| Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.
int | addSinusoid (float time_begin, float time_end, VBase4 const color_a)
| Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.
int | addSinusoid (float time_begin, float time_end)
| Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.
int | addSinusoid (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b, float period)
| Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.
int | addSinusoid (float time_begin)
| Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.
int | addSinusoid (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b, float period, bool is_modulated)
| Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.
int | addSinusoid ()
| Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.
int | addStepwave (float time_begin, float time_end, VBase4 const color_a)
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
int | addStepwave (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b, float width_a, float width_b)
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
int | addStepwave (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b, float width_a)
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
int | addStepwave (float time_begin)
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
int | addStepwave (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b)
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
int | addStepwave (float time_begin, float time_end)
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
int | addStepwave ()
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
int | addStepwave (float time_begin, float time_end, VBase4 const color_a, VBase4 const color_b, float width_a, float width_b, bool is_modulated)
| Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.
| clearSegment (int seg_id)
| Removes the segment of 'id' from the manager.
| clearToInitial ()
| Removes all segments from the manager.
ColorInterpolationSegment | getSegment (int seg_id)
| Returns the segment that corresponds to 'seg_id'.
string | getSegmentIdList ()
| Returns a space delimited list of all of the ids in the manager at the time.
| setDefaultColor (VBase4 const c)
| Sets the color to used if no segments are present.

## Detailed Description

High level class for color interpolation.

Segments must be added to the manager in order to achieve results using the "add_*****()" functions. Access to these segments is provided but not necessary general use.

## Constructor & Destructor Documentation

ColorInterpolationManager | ( |  | ) |

default constructor

ColorInterpolationManager | ( | ColorInterpolationManager const | copy | ) |

copy constructor

ColorInterpolationManager | ( | VBase4 const | c | ) |

constructor

## Member Function Documentation

int addConstant | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color,
|  | bool | is_modulated
| ) |  |

Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.

int addConstant | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color
| ) |  |

Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.

int addConstant | ( | float | time_begin | ) |

Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.

int addConstant | ( |  | ) |

Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.

int addConstant | ( | float | time_begin,
|  | float | time_end
| ) |  |

Adds a constant segment of the specified color to the manager and returns the segment's id as known by the manager.

int addLinear | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a
| ) |  |

Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.

int addLinear | ( | float | time_begin,
|  | float | time_end
| ) |  |

Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.

int addLinear | ( | float | time_begin | ) |

Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.

int addLinear | ( |  | ) |

Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.

int addLinear | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b,
|  | bool | is_modulated
| ) |  |

Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.

int addLinear | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b
| ) |  |

Adds a linear segment between two colors to the manager and returns the segment's id as known by the manager.

int addSinusoid | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b,
|  | float | period,
|  | bool | is_modulated
| ) |  |

Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.

int addSinusoid | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b,
|  | float | period
| ) |  |

Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.

int addSinusoid | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b
| ) |  |

Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.

int addSinusoid | ( | float | time_begin,
|  | float | time_end
| ) |  |

Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.

int addSinusoid | ( | float | time_begin | ) |

Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.

int addSinusoid | ( |  | ) |

Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.

int addSinusoid | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a
| ) |  |

Adds a stepwave segment of two colors and a specified period to the manager and returns the segment's id as known by the manager.

int addStepwave | ( |  | ) |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

int addStepwave | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a
| ) |  |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

int addStepwave | ( | float | time_begin,
|  | float | time_end
| ) |  |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

int addStepwave | ( | float | time_begin | ) |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

int addStepwave | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b,
|  | float | width_a,
|  | float | width_b,
|  | bool | is_modulated
| ) |  |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

int addStepwave | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b
| ) |  |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

int addStepwave | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b,
|  | float | width_a,
|  | float | width_b
| ) |  |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

int addStepwave | ( | float | time_begin,
|  | float | time_end,
|  | VBase4 const | color_a,
|  | VBase4 const | color_b,
|  | float | width_a
| ) |  |

Adds a stepwave segment of two colors to the manager and returns the segment's id as known by the manager.

clearSegment | ( | int | seg_id | ) |

Removes the segment of 'id' from the manager.

clearToInitial | ( |  | ) |

Removes all segments from the manager.

ColorInterpolationSegment getSegment | ( | int | seg_id | ) |

Returns the segment that corresponds to 'seg_id'.

string getSegmentIdList | ( |  | ) |

Returns a space delimited list of all of the ids in the manager at the time.

setDefaultColor | ( | VBase4 const | c | ) |

Sets the color to used if no segments are present.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties